Subject: Re: [bitcoin-dev] Improving Pre and Post Merging Abilities With Rewriting Core In Python

From: Peter Todd <[email-masked]>
Date: Fri, 26 Apr 2019 23:32:27 -0400

On Tue, Apr 23, 2019 at 03:23:27PM +0000, Achow101 via bitcoin-dev wrote:
> Feel free to re-implement Bitcoin Core in Python. It's open source software and you can do whatever you want.
> 
> However Bitcoin Core is not going move to Python and rewrite everything in Python. Besides the fact that Python is far less efficient than C/C++, rewriting Bitcoin Core in any other language would be a huge undertaking and introduce many bugs for almost no benefit whatsoever. Bitcoin Core won't be changing languages for the entire codebase, but you are welcome to port it to Python yourself.

Speaking as maintainer of the Python library python-bitcoinlib, I don't think
using Python for security critical codebases is a good idea. It's just too easy
to make mistakes; I wouldn't recommend new projects use python-bitcoinlib.

Currently I'm doing 100% of my new projects on Rust. That's not to say Rust is
the only language usable for this kind of work. But it fits my style of
programming well and the type system - esp good handling of immutability -
appears to offer significant benefits.

-- 
https://petertodd.org 'peter'[:-1]@petertodd.org